/***************************************************************************

    source::worx xtree
    Copyright © 2024-2025 c.holzheuer
    christoph.holzheuer@gmail.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#include <xqicon.h>

XQIcon::XQIcon()
{}

XQIcon::XQIcon( const QIcon& icon, const QString& iconKey )
  : QIcon{icon}, _iconKey{iconKey}
{

}

const QString& XQIcon::iconKey()
{
  return _iconKey;
}
